## org.freedesktop.NetworkManager.Device.OlpcMesh

org.freedesktop.NetworkManager.Device.OlpcMesh — OLPC Wireless Mesh Device

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    HwAddress      readable   s
    Companion      readable   o
    ActiveChannel  readable   u

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary containing the FIXME: check changed parameters.

## Property Details

### The "HwAddress" property

    HwAddress  readable   s

The hardware address of the device.

### The "Companion" property

    Companion  readable   o

The object path of the companion device.

### The "ActiveChannel" property

    ActiveChannel  readable   u

The currently active channel.